"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cac_1 = require("cac");
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const less_to_css_variables_1 = require("./less-to-css-variables");
const cli = (0, cac_1.cac)('pcv');
const pkg = fs_extra_1.default.readJSONSync(path_1.default.join(__dirname, '../package.json'), {
    encoding: 'utf8',
});
require('v8-compile-cache');
cli
    .command('run')
    .option('-r, --revert', 'Restore default files', { default: false })
    .option('-f, --force', 'Force conversion, prohibit caching', {
    default: false,
})
    .option('--name [name_path]', '[string] Dependent libraries to be processed')
    .option('--verbose', 'Output changed files', { default: false })
    .action(async ({ revert, force, name, verbose }) => {
    await (0, less_to_css_variables_1.runLessToCssVariables)({
        revert,
        force,
        verbose,
        libraryList: [{ name, includes: [] }],
    });
});
cli.version(pkg.version);
cli.usage(`Scaffolding to transform less into less variables.`);
cli.help();
cli.parse();
process.on('SIGINT', function () {
    process.exit();
});
exports.default = cli;
