"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runReductions = void 0;
const fs_extra_1 = require("fs-extra");
const utils_1 = require("./utils");
const moduleTypes = {
    esm: 'es',
    lib: 'lib',
};
// 还原
const reduction = async (ruleOption, options) => {
    const { joinFullPath } = options;
    // 获取真实的备份 less 文件路径
    const backupStyleFilePath = (0, utils_1.getBackupFilePath)(ruleOption.styleFilePath);
    return Promise.all(
    // 打包的模块规范有两种，都要覆盖，避免错误引用导致出现问题
    Object.values(moduleTypes).map(async (norm) => {
        const realStyleFilePathByNorm = joinFullPath(norm, ruleOption.styleFilePath);
        const backupFilePath = joinFullPath(norm, backupStyleFilePath);
        if (!(0, fs_extra_1.existsSync)(backupFilePath)) {
            return Promise.resolve();
        }
        // 复制覆盖
        await (0, fs_extra_1.copyFile)(backupFilePath, realStyleFilePathByNorm);
        return (0, fs_extra_1.remove)(backupFilePath);
    }));
};
// 批量还原
const runReductions = (replaceVariableRules, options) => {
    return Promise.all(replaceVariableRules.map((item) => reduction(item, options)));
};
exports.runReductions = runReductions;
